Package org.silverpeas.components.kmelia.model

## Class StatisticActivityVO

- java.lang.Object
- - org.silverpeas.components.kmelia.model.StatisticActivityVO

- All Implemented Interfaces:
    `Serializable`

      public class StatisticActivityVO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticActivityVO​(Integer createdPublicationNumber, Integer modifiedPublicationNumber)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getCreatedPublicationNumber()` |
    `Integer` | `getModifiedPublicationNumber()` |
    `void` | `setCreatedPublicationNumber​(Integer createdPublicationNumber)` |
    `void` | `setModifiedPublicationNumber​(Integer modifiedPublicationNumber)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticActivityVO

          public StatisticActivityVO​(Integer createdPublicationNumber,
                                     Integer modifiedPublicationNumber)

      Parameters:
        `createdPublicationNumber` -
        `modifiedPublicationNumber` -

  - ### Method Detail

    - #### getCreatedPublicationNumber

          public Integer getCreatedPublicationNumber()

      Returns:
        the createdPublicationNumber

    - #### setCreatedPublicationNumber

          public void setCreatedPublicationNumber​(Integer createdPublicationNumber)

      Parameters:
        `createdPublicationNumber` - the createdPublicationNumber to set

    - #### getModifiedPublicationNumber

          public Integer getModifiedPublicationNumber()

      Returns:
        the modifiedPublicationNumber

    - #### setModifiedPublicationNumber

          public void setModifiedPublicationNumber​(Integer modifiedPublicationNumber)

      Parameters:
        `modifiedPublicationNumber` - the modifiedPublicationNumber to set